# Custom roles

- Custom ansible roles can be stored in `roles/custom`
- To include custom roles into, you can list them in `custom_roles`.

## Example

```
roles/custom/
├── role_a
│   └── tasks
│       └── main.yml
├── role_b
│   └── tasks
│       └── main.yml
└── role_c
    └── tasks
        └── main.yml
```

inventory.yml

```yaml
all:
  vars:
    custom_roles:
      - role_a
      - role c
desktops:
  hosts:
    10.0.2.[1:128]:
laptops:
  hosts:
    10.0.32.[1:50]:
  vars:
    custom_roles:
      - role_a
      - role_b
```

All hosts (e.g. 10.0.2.14) will get `role_a` and `role_c`,
but hosts in group laptop (e.g. 10.0.32.14) will get `role_a` and `role_b`
